package com.qianhe.mapper;

import com.qianhe.domain.SjBfzbfdx;
import com.qianhe.domain.SjBfzwh;

import java.util.List;


/**
 * 三基帮扶组维护Mapper接口
 *
 * @author qianhe
 * @date 2024-08-31
 */
public interface SjBfzwhMapper
{
    /**
     * 查询三基帮扶组维护
     *
     * @param id 三基帮扶组维护主键
     * @return 三基帮扶组维护
     */
    public SjBfzwh selectSjBfzwhById(Long id);

    /**
     * 根据联系人查询三基帮扶组
     */
    public SjBfzwh selectbfz(String lxr);

    /**
     * 查询三基帮扶组维护列表
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 三基帮扶组维护集合
     */
    public List<SjBfzwh> selectSjBfzwhList(SjBfzwh sjBfzwh);

    /**
     * 新增三基帮扶组维护
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int insertSjBfzwh(SjBfzwh sjBfzwh);

    /**
     * 修改三基帮扶组维护
     *
     * @param sjBfzwh 三基帮扶组维护
     * @return 结果
     */
    public int updateSjBfzwh(SjBfzwh sjBfzwh);

    /**
     * 删除三基帮扶组维护
     *
     * @param id 三基帮扶组维护主键
     * @return 结果
     */
    public int deleteSjBfzwhById(Long id);

    /**
     * 批量删除三基帮扶组维护
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjBfzwhByIds(Long[] ids);

    public List<Long> selectBfdxListByBfz(Long id);

    public int batchBfzBfdx(List<SjBfzbfdx> bfzBfdxList);

    public int deleteBfzBfdxById(Long id);

    public int deleteBfzBfdx(Long[] ids);

    public List<SjBfzbfdx> selectBfdxlist(SjBfzbfdx sjBfzbfdx);
}
